import request from '@/utils/request'

// 查询违章停车登记列表
export function listIllegalParking(query) {
  return request({
    url: '/wuYe/illegalParking/list',
    method: 'get',
    params: query
  })
}

// 查询违章停车登记详细
export function getIllegalParking(illegalParkingId) {
  return request({
    url: '/wuYe/illegalParking/' + illegalParkingId,
    method: 'get'
  })
}

// 新增违章停车登记
export function addIllegalParking(data) {
  return request({
    url: '/wuYe/illegalParking',
    method: 'post',
    data: data
  })
}
// 解除
export function cancelh(data) {
  return request({
    url: '/wuYe/illegalParking/cancel',
    method: 'post',
    data: data
  })
}


// 修改违章停车登记
export function updateIllegalParking(data) {
  return request({
    url: '/wuYe/illegalParking/put',
    method: 'post',
    data: data
  })
}

// 删除违章停车登记
export function delIllegalParking(illegalParkingId) {
  return request({
    url: '/wuYe/illegalParking/delete/' + illegalParkingId,
    method: 'get'
  })
}
